For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • METAMASK Wrapper API
    • Overview
    • GETBuy Order by ID
    • GETSell Order by ID
    • GETBuy Orders
    • GETSell Orders
    • GETBuy Widget
    • GETSell Widget
    • GETBuy Quote
    • GETSell Quote
    • GETBuy Configuration
    • GETSell Configuration
Dashboard
LogoLogo

Buy Orders

||View as Markdown|
GET
/metamask/v1/orders
GET
/metamask/v1/orders
$curl -G https://api-stg.transak.com/metamask/v1/orders \
> -H "x-api-key: " \
> -H "x-access-token: " \
> -d start= \
> -d end= \
> -d limit=0 \
> -d skip=0
1[
2 {
3 "id": "b2a266c3-7341-4bf3-b3a6-031a5515e366",
4 "customId": null,
5 "userId": "b2092495-0178-4fe0-8e7e-f93649b40712",
6 "link": "https://global.transak.com/user/order/b2a266c3-7341-4bf3-b3a6-031a5515e366",
7 "crypto": null,
8 "fiatAmountIn": 33,
9 "fiatAmountInUsd": 33.83,
10 "cryptoAmountOut": 100.762879,
11 "fiat": "EUR",
12 "payment": "google-pay",
13 "exchangeRate": 3.3332080276621974,
14 "processingFees": [
15 {
16 "label": "Transak fee",
17 "fiatAmount": "1.16"
18 }
19 ],
20 "networkFees": [
21 {
22 "label": "Network/Exchange fee",
23 "fiatAmount": "1.61"
24 }
25 ],
26 "partnerFees": [],
27 "region": "es-illes balears",
28 "createdAt": "2025-02-02T23:57:29.178Z",
29 "updatedAt": "2025-02-03T00:00:47.619Z",
30 "transactionHash": "Z3MUO3NJDGNJKBAGJL3A6MOD7IMVV7KPPKCCIMJM7E4K2XUI7F4Q",
31 "walletAddress": "Q5C7BWEF26V7E3NWVLCOXLQJ37ZHV2EKYA5EJTZHBMGE4T7QJT6XXXIARU",
32 "status": "COMPLETED",
33 "statusCode": "COMPLETED",
34 "partnerAccountId": "Metamask",
35 "orderType": "BUY"
36 },
37 {
38 "id": "f5cf2e09-525e-4136-a347-156d1f7333bd",
39 "customId": null,
40 "userId": "90bf38d9-2255-40dc-a295-fd245edddd03",
41 "link": "https://global.transak.com/user/order/f5cf2e09-525e-4136-a347-156d1f7333bd",
42 "crypto": {
43 "id": "BTCmainnet",
44 "network": "bip122:000000000019d6689c085ae165831e93",
45 "assetId": "slip44:0",
46 "unsupported": []
47 },
48 "fiatAmountIn": 210,
49 "fiatAmountInUsd": 215.31,
50 "cryptoAmountOut": 0.00207199,
51 "fiat": "EUR",
52 "payment": "apple-pay",
53 "exchangeRate": 0.00001024468126117502,
54 "processingFees": [
55 {
56 "label": "Transak fee",
57 "fiatAmount": "7.35"
58 }
59 ],
60 "networkFees": [
61 {
62 "label": "Network/Exchange fee",
63 "fiatAmount": "0.4"
64 }
65 ],
66 "partnerFees": [],
67 "region": "de-heilbronn",
68 "createdAt": "2025-02-02T23:54:17.760Z",
69 "updatedAt": "2025-02-03T00:02:23.900Z",
70 "transactionHash": "541f454fe37950af039571d6bc5bf585f887c36a1000ada5b5486566d4931264",
71 "walletAddress": "bc1qa95prczznwpzkm34ucauf9ug83zgdaxtl5ques",
72 "status": "COMPLETED",
73 "statusCode": "COMPLETED",
74 "partnerAccountId": "Metamask",
75 "orderType": "BUY"
76 }
77]
This API provide the details related to the all On Ramp orders. ![On Ramp order](https://assets.transak.com/doc/Q2xlYW5TaG90IDIwMjUtMDMtMTMgYXQgMTIuMjEuMjZAMngucG5n.png)
Was this page helpful?
Previous

Sell Order by ID

Next

Sell Orders

Built with

This API provide the details related to the all On Ramp orders.

On Ramp order

Headers

x-api-keystringRequired
Transak API key. Present in dashboard.transak.com
x-access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Query parameters

startstringRequired

Start Date in YYYY-MM-DD format

endstringRequired

End Date in YYYY-MM-DD format

limitdoubleRequired
Number of records
skipdoubleRequired
Skip the specified number of returned records

Response

200 - Success

idstring

Response field id.

customIdstring or null

Response field customId.

userIdstring

Response field userId.

linkstring

Response field link.

cryptoobject or null

Response field crypto.

fiatAmountIndouble

Response field fiatAmountIn.

fiatAmountInUsddouble

Response field fiatAmountInUsd.

cryptoAmountOutdouble

Response field cryptoAmountOut.

fiatstring

Response field fiat.

paymentstring

Response field payment.

exchangeRatedouble

Response field exchangeRate.

processingFeeslist of objects

Response field processingFees.

networkFeeslist of objects

Response field networkFees.

partnerFeeslist of any

Response field partnerFees.

regionstring

Response field region.

createdAtstring

Response field createdAt.

updatedAtstring

Response field updatedAt.

transactionHashstring

Response field transactionHash.

walletAddressstring

Response field walletAddress.

statusstring

Response field status.

statusCodestring

Response field statusCode.

partnerAccountIdstring

Response field partnerAccountId.

orderTypestring

Response field orderType.

Errors

400
Bad Request Error
401
Unauthorized Error